+ date
Mon Apr 17 06:50:04 UTC 2023
+ apt-get source --only-source net-tools=1.60+git20181103.0eebece-1+devuan1
Reading package lists...
NOTICE: 'net-tools' packaging is maintained in the 'Git' version control system at:
https://git.devuan.org/devuan/net-tools.git
Please use:
git clone https://git.devuan.org/devuan/net-tools.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 348 kB of source archives.
Get:1 http://deb.devuan.org/merged chimaera/main net-tools 1.60+git20181103.0eebece-1+devuan1 (dsc) [1831 B]
Get:2 http://deb.devuan.org/merged chimaera/main net-tools 1.60+git20181103.0eebece-1+devuan1 (tar) [288 kB]
Get:3 http://deb.devuan.org/merged chimaera/main net-tools 1.60+git20181103.0eebece-1+devuan1 (diff) [57.7 kB]
dpkg-source: info: extracting net-tools in net-tools-1.60+git20181103.0eebece
dpkg-source: info: unpacking net-tools_1.60+git20181103.0eebece.orig.tar.gz
dpkg-source: info: unpacking net-tools_1.60+git20181103.0eebece-1+devuan1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying man-fr_FR-route.8.patch
dpkg-source: info: applying Bug_805377-man-pt_BR-ifconfig.8.patch
dpkg-source: info: applying Bug_541172-netstat.c-exit-codes.patch
dpkg-source: info: applying translations.patch
dpkg-source: info: applying Add_missing_headers.patch
dpkg-source: info: applying Bug_443075-ifconfig.c-pointtopoint_spelling.patch
dpkg-source: info: applying Bug_500913-man-en_US-route.8-EXAMPLES-Add-single-route-del.patch
dpkg-source: info: applying Bug_900962-man-de-typos.patch
dpkg-source: info: applying Bug_549397-fix-decoding-of-MII-vendor-ids.patch
Fetched 348 kB in 0s (1797 kB/s)
W: Download is performed unsandboxed as root as file 'net-tools_1.60+git20181103.0eebece-1+devuan1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source net-tools=1.60+git20181103.0eebece-1+devuan1
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  libdnet libdnet-dev libselinux1-dev libsepol1-dev
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 890 kB of archives.
After this operation, 3371 kB of additional disk space will be used.
Get:1 http://deb.devuan.org/merged chimaera/main amd64 libdnet amd64 2.65+b2 [72.0 kB]
Get:2 http://deb.devuan.org/merged chimaera/main amd64 libdnet-dev amd64 2.65+b2 [311 kB]
Get:3 http://deb.devuan.org/merged chimaera/main amd64 libsepol1-dev amd64 3.1-1 [338 kB]
Get:4 http://deb.devuan.org/merged chimaera/main amd64 libselinux1-dev amd64 3.1-3 [168 kB]
Fetched 890 kB in 0s (5833 kB/s)
Selecting previously unselected package libdnet:amd64.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 99471 files and directories currently installed.)
Preparing to unpack .../libdnet_2.65+b2_amd64.deb ...
Unpacking libdnet:amd64 (2.65+b2) ...
Selecting previously unselected package libdnet-dev:amd64.
Preparing to unpack .../libdnet-dev_2.65+b2_amd64.deb ...
Unpacking libdnet-dev:amd64 (2.65+b2) ...
Selecting previously unselected package libsepol1-dev:amd64.
Preparing to unpack .../libsepol1-dev_3.1-1_amd64.deb ...
Unpacking libsepol1-dev:amd64 (3.1-1) ...
Selecting previously unselected package libselinux1-dev:amd64.
Preparing to unpack .../libselinux1-dev_3.1-3_amd64.deb ...
Unpacking libselinux1-dev:amd64 (3.1-3) ...
Setting up libdnet:amd64 (2.65+b2) ...
Setting up libsepol1-dev:amd64 (3.1-1) ...
Setting up libdnet-dev:amd64 (2.65+b2) ...
Setting up libselinux1-dev:amd64 (3.1-3) ...
Processing triggers for man-db (2.9.4-2) ...
Processing triggers for libc-bin (2.31-13+deb11u5) ...
+ find . -maxdepth 1 -name net-tools* -type d
+ cd ./net-tools-1.60+git20181103.0eebece
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package net-tools
dpkg-buildpackage: info: source version 1.60+git20181103.0eebece-1+devuan1
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Mark Hindley <mark@hindley.org.uk>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
   debian/rules override_dh_auto_clean
make[1]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
[ ! -f Makefile ] || /usr/bin/make clobber
make[2]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
rm -f -- *.o DEADJOE config.new *~ *.orig lib/*.o
rm -f -- ifconfig netstat route nameif
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
rm -f -- DEADJOE *~ *.orig
rm -f -- */DEADJOE */*~ */*.orig
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
rm -f -- *.o *~ *.orig libnet-tools.a libnet-tools.so
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
rm -f -- *mo
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
rm -f -- ifconfig netstat route nameif config.h version.h config.status config.make
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
rm -f -- DEADJOE *~ *.orig
rm -f -- */DEADJOE */*~ */*.orig
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
rm -f -- *.o *~ *.orig libnet-tools.a libnet-tools.so
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
make[2]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
[ ! -f debian/config.h.bk ] || \
	mv debian/config.h.bk config.h
[ ! -f debian/config.make.bk ] || \
	mv debian/config.make.bk config.make
dh_auto_clean
	make -j50 clean
make[2]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
rm -f -- *.o DEADJOE config.new *~ *.orig lib/*.o
rm -f -- ifconfig netstat route nameif
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
rm -f -- DEADJOE *~ *.orig
rm -f -- */DEADJOE */*~ */*.orig
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
rm -f -- *.o *~ *.orig libnet-tools.a libnet-tools.so
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
rm -f -- *mo
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
make[2]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
make[1]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
   dh_clean
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building net-tools using existing ./net-tools_1.60+git20181103.0eebece.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building net-tools in net-tools_1.60+git20181103.0eebece-1+devuan1.debian.tar.xz
dpkg-source: info: building net-tools in net-tools_1.60+git20181103.0eebece-1+devuan1.dsc
 debian/rules build
dh build
   dh_update_autotools_config
   dh_autoreconf
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
[ ! -f config.make ] || mv config.make debian/config.make.bk
cp -f debian/config.make config.make
[ ! -f config.h ] || mv config.h debian/config.h.bk
cp -f debian/config.h config.h
make[1]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
/usr/bin/make CC="x86_64-linux-gnu-gcc" COPTS="-D_GNU_SOURCE -Wall -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" LOPTS="-Wl,-z,relro" PROGS="ifconfig arp netstat route rarp slattach plipconfig nameif iptunnel ipmaddr mii-tool"
make[2]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o activate.o activate.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o af.o af.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o arcnet.o arcnet.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ash.o ash.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ax25.o ax25.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ax25_gr.o ax25_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ddp.o ddp.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ddp_gr.o ddp_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ec_hw.o ec_hw.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o econet.o econet.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ether.o ether.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o eui64.o eui64.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o fddi.o fddi.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o frame.o frame.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o getargs.o getargs.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o getroute.o getroute.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o hdlclapb.o hdlclapb.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o hippi.o hippi.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o hw.o hw.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ib.o ib.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet.o inet.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet6.o inet6.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet6_gr.o inet6_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet6_sr.o inet6_sr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet_gr.o inet_gr.c
inet_gr.c: In function 'rprint_cache':
inet_gr.c:291:7: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
  291 |       if (ext >= 3)
      |       ^~
inet_gr.c:295:9: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
  295 |         fmt = proc_gen_fmt(_PATH_PROCNET_RTCACHE, 0, fp,
      |         ^~~
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o inet_sr.o inet_sr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o interface.o interface.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ipx.o ipx.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ipx_gr.o ipx_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ipx_sr.o ipx_sr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o irda.o irda.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o loopback.o loopback.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o masq_info.o masq_info.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o netrom.o netrom.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o netrom_gr.o netrom_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o netrom_sr.o netrom_sr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o nstrcmp.o nstrcmp.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ppp.o ppp.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o ppp_ac.o ppp_ac.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o proc.o proc.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o rose.o rose.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o rose_gr.o rose_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o setroute.o setroute.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o sit.o sit.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o slip.o slip.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o slip_ac.o slip_ac.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o sockets.o sockets.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o strip.o strip.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o tr.o tr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o tunnel.o tunnel.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o unix.o unix.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o util-ank.o util-ank.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o util.o util.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o x25.o x25.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o x25_gr.o x25_gr.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -I.. -I../include  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib  -c -o x25_sr.o x25_sr.c
Building libnet-tools.a
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/lib'
make[3]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/man'
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c ifconfig.c
ifconfig.c: In function 'main':
ifconfig.c:970:6: warning: this 'else' clause does not guard... [-Wmisleading-indentation]
  970 |      else
      |      ^~~~
ifconfig.c:971:103: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'else'
  971 |       fprintf(stderr,_("ifconfig: error resolving '%s' to set address for af=%s\n"), host, ap->name); fprintf(stderr,
      |                                                                                                       ^~~~~~~
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o ifconfig ifconfig.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c arp.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o arp arp.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c netstat.c
netstat.c: In function 'prg_cache_load':
netstat.c:409:5: warning: 'security_context_t' is deprecated [-Wdeprecated-declarations]
  409 |     security_context_t scon = NULL;
      |     ^~~~~~~~~~~~~~~~~~
netstat.c:475:40: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size 20 [-Wformat-truncation=]
  475 |      snprintf(finbuf, sizeof(finbuf), "%s/%s", direproc->d_name, cmdlp);
      |                                        ^~
In file included from /usr/include/stdio.h:867,
                 from netstat.c:72:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 2 and 768 bytes into a destination of size 20
   67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
netstat.c: In function 'ipx_info':
netstat.c:1789:30: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size 50 [-Wformat-truncation=]
 1789 |  snprintf(sad, sizeof(sad), "%s:%04X", buf, sport);
      |                              ^~        ~~~
In file included from /usr/include/stdio.h:867,
                 from netstat.c:72:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 6 and 265 bytes into a destination of size 50
   67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
netstat.c:1789:30: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size 50 [-Wformat-truncation=]
 1789 |  snprintf(sad, sizeof(sad), "%s:%04X", buf, sport);
      |                              ^~        ~~~
In file included from /usr/include/stdio.h:867,
                 from netstat.c:72:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 6 and 265 bytes into a destination of size 50
   67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
netstat.c:1789:30: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size 50 [-Wformat-truncation=]
 1789 |  snprintf(sad, sizeof(sad), "%s:%04X", buf, sport);
      |                              ^~        ~~~
In file included from /usr/include/stdio.h:867,
                 from netstat.c:72:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 6 and 265 bytes into a destination of size 50
   67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
netstat.c:1795:34: warning: '%s' directive output may be truncated writing up to 255 bytes into a region of size 50 [-Wformat-truncation=]
 1795 |      snprintf(dad, sizeof(dad), "%s:%04X", buf, dport);
      |                                  ^~        ~~~
In file included from /usr/include/stdio.h:867,
                 from netstat.c:72:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 6 and 265 bytes into a destination of size 50
   67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c statistics.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o netstat netstat.o statistics.o -lnet-tools -lselinux 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c route.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o route route.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c rarp.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o rarp rarp.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c slattach.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o slattach slattach.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c plipconfig.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o plipconfig plipconfig.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c nameif.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o nameif nameif.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c iptunnel.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o iptunnel iptunnel.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c ipmaddr.c
In file included from /usr/include/string.h:495,
                 from ipmaddr.c:25:
In function 'strncpy',
    inlined from 'multiaddr_modify' at ipmaddr.c:339:4:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:106:10: warning: '__builtin_strncpy' specified bound 16 equals destination size [-Wstringop-truncation]
  106 |   return __builtin___strncpy_chk (__dest, __src, __len, __bos (__dest));
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o ipmaddr ipmaddr.o -lnet-tools 
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wdate-time -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -I. -I/build/net-tools/net-tools-1.60+git20181103.0eebece/include -Ilib -c mii-tool.c
x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/net-tools/net-tools-1.60+git20181103.0eebece=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-strict-aliasing  -Wl,-z,relro -Llib -o mii-tool mii-tool.o -lnet-tools 
make[2]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
make[1]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
   dh_auto_test
   create-stamp debian/debhelper-build-stamp
 debian/rules binary
dh binary
   dh_testroot
   dh_prep
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
/usr/bin/make -C po install BASEDIR=/build/net-tools/net-tools-1.60+git20181103.0eebece/debian/net-tools
make[2]: Entering directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
msgfmt -o cs.mo cs.po
msgfmt -o de.mo de.po
msgfmt -o et_EE.mo et_EE.po
msgfmt -o fr.mo fr.po
msgfmt -o ja.mo ja.po
msgfmt -o pt_BR.mo pt_BR.po
langs='cs de et_EE fr ja pt_BR'; \
for l in $langs; do \
    install -c -m 755 -d /build/net-tools/net-tools-1.60+git20181103.0eebece/debian/net-tools/usr/share/locale/$l; \
    install -c -m 755 -d /build/net-tools/net-tools-1.60+git20181103.0eebece/debian/net-tools/usr/share/locale/$l/LC_MESSAGES; \
    install -c -m 644 $l.mo /build/net-tools/net-tools-1.60+git20181103.0eebece/debian/net-tools/usr/share/locale/$l/LC_MESSAGES/net-tools.mo; \
done
make[2]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece/po'
dh_installman --language=de \
	man/de_DE/arp.8 man/de_DE/ethers.5 man/de_DE/ifconfig.8 man/de_DE/netstat.8 man/de_DE/plipconfig.8 man/de_DE/rarp.8 man/de_DE/route.8 man/de_DE/slattach.8
dh_installman --language=C \
	man/en_US/arp.8 man/en_US/ethers.5 man/en_US/ifconfig.8 man/en_US/mii-tool.8 man/en_US/nameif.8 man/en_US/netstat.8 man/en_US/plipconfig.8 man/en_US/rarp.8 man/en_US/route.8 man/en_US/slattach.8
dh_installman --language=fr \
	man/fr_FR/arp.8 man/fr_FR/ethers.5 man/fr_FR/ifconfig.8 man/fr_FR/netstat.8 man/fr_FR/plipconfig.8 man/fr_FR/rarp.8 man/fr_FR/route.8 man/fr_FR/slattach.8
dh_installman --language=pt_BR \
	man/pt_BR/arp.8 man/pt_BR/ifconfig.8 man/pt_BR/netstat.8 man/pt_BR/rarp.8 man/pt_BR/route.8
dh_installman --language=C \
	debian/iptunnel.8
make[1]: Leaving directory '/build/net-tools/net-tools-1.60+git20181103.0eebece'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_installman
   dh_perl
   dh_link
   dh_strip_nondeterminism
	Normalized debian/net-tools/usr/share/locale/fr/LC_MESSAGES/net-tools.mo
	Normalized debian/net-tools/usr/share/locale/de/LC_MESSAGES/net-tools.mo
	Normalized debian/net-tools/usr/share/locale/ja/LC_MESSAGES/net-tools.mo
	Normalized debian/net-tools/usr/share/locale/et_EE/LC_MESSAGES/net-tools.mo
	Normalized debian/net-tools/usr/share/locale/cs/LC_MESSAGES/net-tools.mo
	Normalized debian/net-tools/usr/share/locale/pt_BR/LC_MESSAGES/net-tools.mo
   dh_compress
   dh_fixperms
   dh_missing
   dh_dwz
   dh_strip
   dh_makeshlibs
   dh_shlibdeps
   dh_installdeb
   dh_gencontrol
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'net-tools' in '../net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.changes
dpkg-genchanges: info: not including original source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: binary and diff upload (original source NOT included)
+ date
Mon Apr 17 06:50:35 UTC 2023
+ cd ..
+ ls -la
total 668
drwxr-xr-x 3 root root   4096 Apr 17 06:50 .
drwxr-xr-x 3 root root   4096 Apr 17 06:50 ..
-rw-r--r-- 1 root root  48422 Apr 17 06:50 buildlog.txt
drwxr-xr-x 9 root root   4096 Apr 17 06:50 net-tools-1.60+git20181103.0eebece
-rw-r--r-- 1 root root  57652 Apr 17 06:50 net-tools_1.60+git20181103.0eebece-1+devuan1.debian.tar.xz
-rw-r--r-- 1 root root   1293 Apr 17 06:50 net-tools_1.60+git20181103.0eebece-1+devuan1.dsc
-rw-r--r-- 1 root root   5508 Apr 17 06:50 net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.buildinfo
-rw-r--r-- 1 root root   2120 Apr 17 06:50 net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.changes
-rw-r--r-- 1 root root 250108 Apr 17 06:50 net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb
-rw-r--r-- 1 root root 288365 Oct 31  2020 net-tools_1.60+git20181103.0eebece.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.buildinfo ./buildlog.txt ./net-tools_1.60+git20181103.0eebece-1+devuan1.dsc ./net-tools_1.60+git20181103.0eebece-1+devuan1.debian.tar.xz ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.changes ./net-tools_1.60+git20181103.0eebece.orig.tar.gz
ae352fcc2597ca6daee70f2cdf566b1fb680c3c1bdb765d496d8a3121424add5  ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.buildinfo
d68fdd9e72d165b609c8e4523b8605dbe412ca4903387290a2e363bb432273ba  ./buildlog.txt
33e58ebb5a1e536206ac4933cfcd47efae5961ada8da54dcb98849382c32bf5d  ./net-tools_1.60+git20181103.0eebece-1+devuan1.dsc
c7f1903ac8ae0929baf0fb790e0b36781e5df7f654402846a73881808dcd77bc  ./net-tools_1.60+git20181103.0eebece-1+devuan1.debian.tar.xz
33a76deaa2c5e5b0f52e5e1f3aecbebf9610725cc1cec4e5cf76978886579d06  ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb
2803c233d5112b7f4e0248a346f9eff72b9075f8062923a340373dd053e8ff48  ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.changes
8915c7ef0d231c063e53d7ec358821e73f6e55a2f13247557c0ee067251a07b3  ./net-tools_1.60+git20181103.0eebece.orig.tar.gz
+ mkdir published
+ cd published
+ cd ../
+ ls net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget -q http://deb.devuan.org/merged/pool/DEVUAN/main/n/net-tools/net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb
+ tee+  ../SHA256SUMS
find . -maxdepth 1 -type f
+ sha256sum ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb
d210d0c62090644e931f335d097828cfea88dabfc4f3f8d1716ac9277fcf3c41  ./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./net-tools_1.60+git20181103.0eebece-1+devuan1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
